Skip to main content
GET
/
api
/
v1
/
users
/
{user_id}
/
charging
/
debts
List Charging Debts
curl --request GET \
  --url https://connect.cariqa.com/api/v1/users/{user_id}/charging/debts/ \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "session_id": "<string>",
      "client_secret": "<string>",
      "amount": "<string>",
      "currency": "<string>"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Documentation Index

Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

user_id
string
required

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"